import request from '@/utils/request'

// 查询培训购买订单列表
export function listCultivateOrder(query) {
  return request({
    url: '/business/cultivateOrder/list',
    method: 'get',
    params: query
  })
}

// 查询培训购买订单详细
export function getCultivateOrder(id) {
  return request({
    url: '/business/cultivateOrder/' + id,
    method: 'get'
  })
}

// 新增培训购买订单
export function addCultivateOrder(data) {
  return request({
    url: '/business/cultivateOrder',
    method: 'post',
    data: data
  })
}

// 修改培训购买订单
export function updateCultivateOrder(data) {
  return request({
    url: '/business/cultivateOrder',
    method: 'put',
    data: data
  })
}

// 删除培训购买订单
export function delCultivateOrder(id) {
  return request({
    url: '/business/cultivateOrder/' + id,
    method: 'delete'
  })
}

// 导出培训购买订单
export function exportCultivateOrder(query) {
  return request({
    url: '/business/cultivateOrder/export',
    method: 'get',
    params: query
  })
}